<footer style="background-color: #007bff; color: white; text-align: center; padding: 10px; position: fixed; bottom: 0; width: 100%;">
    <p><a href="/" style="color: white; text-decoration: underline;">Home</a> | 
    <a href="/about" style="color: white; text-decoration: underline;">About</a> | 
    <a href="/contact" style="color: white; text-decoration: underline;">Contact</a> | 
    <a href="/admin-login" style="color: white; text-decoration: underline;">Admin</a> | 
    <a href="https://gitlab.com/universalamateur1/devsecops-demo/seamless-devsecops-cloud-app" style="color: white; text-decoration: underline;">Source Code</a></p>
</footer>